
AUTO_DEPEND=$(shell find * -follow -type f -name "*.tex") $(shell find * -follow -type f -name ".eps")

all:	$(DOCUMENT).pdf

toc:	$(DOCUMENT).toc

$(DOCUMENT).pdf:	$(DOCUMENT).tex	$(DOCUMENT).toc $(AUTO_DEPEND) $(DEPEND)
	pdflatex -synctex=1 -interactio=nonstopmode --shell-escape $(DOCUMENT)

$(DOCUMENT).toc:	$(DOCUMENT).tex $(AUTO_DEPEND)
	pdflatex -synctex=1 -interaction=nonstopmode --shell-escape $(DOCUMENT) && rm $(DOCUMENT).pdf

clean:
	@rm -f	\
		*.aux *.pdf *.log *.dvi *.toc *.fdb_latexmk *.fls *.out *.synctex.gz	\
		$(DOCUMENT).pdf					\
		$(DOCUMENT).aux					\
		$(DOCUMENT).log					\
		$(DOCUMENT).dvi					\
		$(DOCUMENT).toc					\
		include/vnctitlelogo-eps-converted-to.pdf	\
		$(EXTRA_CLEAN_FILES)

distclean:	clean

view:	$(DOCUMENT).pdf
	@evince $(DOCUMENT).pdf

dep:
	@echo "$(AUTO_DEPEND)"

texmaker:	$(DOCUMENT).tex $(AUTO_DEPEND)
	texmaker $(DOCUMENT).tex $(AUTO_DEPEND) &
