
\NeedsTeXFormat{LaTeX2e}[2011/06/27]
\ProvidesClass{vnc_concept_de}[2013/08/12 VNC branding]
\LoadClass[10pt,oneside,a4paper]{scrreprt}
\usepackage[left=2cm,right=2cm,top=0.5cm,bottom=2cm,head=1cm,headsep=1cm,footskip=1.5cm,includeheadfoot]{geometry}
\usepackage{titlesec}
\usepackage{epsfig}
\usepackage[ngerman]{babel}
\usepackage{eurosym}
\usepackage{fancyhdr}
\usepackage[utf8]{inputenc}
\usepackage{paratype}
\usepackage[T1]{fontenc}
\usepackage{PTSans}
\usepackage{epstopdf}
\usepackage{array}
\usepackage{colortbl}
\usepackage{parskip}
\usepackage{paralist}
\usepackage{underscore}
\usepackage{graphicx}
\usepackage{float}
\usepackage[colorlinks=true]{hyperref}
\usepackage{xcolor}

\renewcommand{\familydefault}{\sfdefault}

% VNC color definitions
\hypersetup{
	colorlinks,
	breaklinks,
	urlcolor=[RGB]{35,88,119},
	linkcolor=[RGB]{35,88,119},
	linkbordercolor=[RGB]{35,88,119},
	pdfborderstyle={/S/U/W 1}
	}
\definecolor{VNClightblue}{RGB}{35,88,119}
\definecolor{VNCdarkblue}{RGB}{0,52,70}
\definecolor{VNClightgray}{RGB}{235,237,240}
\definecolor{VNCdarkgray}{RGB}{161,178,184}

\titlespacing*{\chapter}{0cm}{0.5cm}{0.1cm}
\titlespacing*{\section}{0cm}{0.5cm}{0.2cm}
\titlespacing*{\subsection}{0cm}{0.5cm}{0.2cm}
\titleformat{\chapter}{\Huge\color{VNClightblue}}{\thechapter}{1em}{}
\titleformat{\section}{\LARGE\color{VNClightblue}}{\thesection}{1em}{}
\titleformat{\subsection}{\Large\color{VNCdarkblue}}{}{1em}{}

\fancypagestyle{ownfancy}{
	\fancyhf{} %alle Kopf- und Fußzeilenfelder bereinigen
	\fancyhead[L]{\textcolor{VNClightblue}\rightmark}% Kapitel/Abschnitt
	\fancyhead[R]{\textcolor{VNClightblue}\bufConceptTitle}
	\fancyfoot[L]{\includegraphics[width=30mm,keepaspectratio]{vnctitlelogo.eps}}
	\fancyfoot[R]{\textcolor{VNClightblue}\thepage} %Seitennummer
} 

\fancypagestyle{chapterStyle}{
	\fancyhf{} %alle Kopf- und Fußzeilenfelder bereinigen
	\fancyhead[L]{\textcolor{VNClightblue}\rightmark}% Kapitel/Abschnitt
	\fancyhead[R]{\textcolor{VNClightblue}\bufConceptTitle}
	\fancyfoot[L]{\includegraphics[width=30mm,keepaspectratio]{vnctitlelogo.eps}}
	\fancyfoot[R]{\textcolor{VNClightblue}\thepage} %Seitennummer
} 

\pagestyle{ownfancy}    
\renewcommand*{\chapterpagestyle}{chapterStyle}

\floatstyle{boxed}
\restylefloat{figure}

\setkomafont{subject}{\huge\color{VNCdarkgray}}
\setkomafont{title}{\Huge\color{VNCdarkblue}}
\setkomafont{subtitle}{\huge\LARGE\color{VNClightblue}}
%\setkomafont{date}{\color{black}}
%\setkomafont{publishers}{\normalsize\color{black}}

\parindent=0pt
\renewcommand{\headrulewidth}{0.0pt}
\renewcommand{\footrulewidth}{0.0pt}

% sidenode: appears inline, in brackets, italic
\newcommand{\sidenote}[1]{\textit{(#1)}}

% xml-tag and similar stuff
\newcommand{\xmltag}[1]{\textbf{\textless#1\textgreater}}
\newcommand{\bnfsym}[1]{\textbf{\textless#1\textgreater}}

% mail address and name -> #1: mail address #2: name
\newcommand{\mailAddrName}[2]{#2 \href{mailto:#1}{<#1>}}

\setlength{\parindent}{0pt}

\newcommand{\backpage}{
\newpage
\thispagestyle{empty}
\mbox{}

\vspace*{\stretch{2}}
\begin{center}
Dieses Dokument wurde erstellt von

\floatstyle{plain}
\restylefloat{figure}
\begin{figure}[h!]
\label{fig:VNC-back-logo}
\centering
\includegraphics[width=200pt,keepaspectratio]{vnctitlelogo.eps}
\end{figure}
\floatstyle{boxed}
\restylefloat{figure}
\href{http://www.vnc.biz}{www.vnc.biz}
\end{center}
\vspace*{\stretch{3}}
}

\newcommand{\bufConceptSubject}{}
\newcommand{\bufConceptTitle}{}
\newcommand{\bufConceptSubtitle}{}
\newcommand{\bufConceptAuthor}{}
\newcommand{\bufConceptVersion}{}
\newcommand{\bufConceptDate}{}

\newcommand{\conceptSubject}[1]{\renewcommand{\bufConceptSubject}{#1}}
\newcommand{\conceptTitle}[1]{\renewcommand{\bufConceptTitle}{#1}}
\newcommand{\conceptSubtitle}[1]{\renewcommand{\bufConceptSubtitle}{#1}}
\newcommand{\conceptAuthor}[1]{\renewcommand{\bufConceptAuthor}{#1}}
\newcommand{\conceptVersion}[1]{\renewcommand{\bufConceptVersion}{#1}}
\newcommand{\conceptDate}[1]{\renewcommand{\bufConceptDate}{#1}}

\newcommand{\conceptTitlePage}{
\renewcommand{\chaptername}{Abschnitt}
\begin{titlepage}
\titlehead{
\vspace{40px}
\center
\includegraphics{vnctitlelogo.eps}
\\}
\subject{\bufConceptSubject} % Subject VNCdarkgray
\title{\bufConceptTitle} % Title VNCdarkblue
\subtitle{\bufConceptSubtitle} % Subtitle VNClightblue
\author{\bufConceptAuthor}
\publishers{\bufConceptVersion} % Date and Version black
\date{\bufConceptDate} % Date and Version black
\end{titlepage}
\maketitle
\thispagestyle{empty}
\tableofcontents
\thispagestyle{empty}
\newpage
\setcounter{page}{1}
}

\AtEndDocument{\backpage}
\AtBeginDocument{\conceptTitlePage}

\hyphenation{Zimbra}
